[PD] [Gem] how to compile for debian stable

IOhannes m zmoelnig zmoelnig at iem.at
Thu Apr 17 10:48:47 CEST 2008

Olivier Heinry wrote:
> Hello,
> What is the way to go to compile Gem under Debian stable with pix_recording enabled? My guess is that I need to hack the Makefile, but where?
> I gave the dist-upgrade a try on some other machine, after struggling quite a lot with the nVidia kernel module, I managed to have a pd-extended with Gem [Pix_record] enabled, unfortunately, looks like DV is broken.
> That's why I'm wondering if compiling ad hoc is not better than dist-upgrading and getting back to fight with nVidia at every new kernel release.

the configure process checks whether the installed libquicktime-version 
is recent enough to support all functionalities needed by [pix_record].

this seems to be not the case in debian/stable (if you stick to the 
official repositories; the libquicktime-dev  package in 
debian-multimedia.org seems to be fine)

what you have to do is simply:
  - install recent enough packages
  - run (in Gem/src)
      % ./configure
      % make

the crucial line in the configure-output is:
"checking for lqt_open_write... yes"

hope this helps


More information about the Pd-list mailing list